%define	name	yiff
%define	libname libY2
%define	version 2.12.4
%define release 4mdk
%define summary	YIFF Sound Systems

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	%{summary}
License: 	GPL
Group: 		System/Servers
Source:		ftp://fox.mit.edu/pub/xsw/%{name}%{version}.tar.bz2
Url: 		http://wolfpack.twu.net/YIFF/index.html
Requires:	libgtk+1.2
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
YIFF is a high performance, stable, and fully  documented sound server for UNIX
games and applications. It employs a network transparent API which allows 
multiple client programs to access sound capabilities in a similar way to how X
clients do graphics.

Run yiffconfig after install to generate a starty script.

%package -n %{libname}
Summary:	Main library for %{name}
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}

%description -n %{libname}
This package contains the library needed to run programs dynamically linked 
with %{name}.

%package -n %{libname}-devel
Summary:	Headers for developing programs that will use %{name}
Group:		Development/C
Requires:	%{libname} = %{version}

%description -n %{libname}-devel
This package contains the headers that programmers will need to develop 
applications which will use %{name}.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -n %{name}%{version}
DIRS="stuff libY2 yiff yiffconfig yiffutils"
for DIR in $DIRS; do
	perl -pi -e 's|PREFIX = /usr|PREFIX = \$(RPM_BUILD_ROOT)/usr|g' $DIR/Makefile
done

%build
make linux

%install
install -d -m 755 $RPM_BUILD_ROOT/%{_sysconfdir}
install -d -m 755 $RPM_BUILD_ROOT/%{_datadir}/icons
install -d -m 755 $RPM_BUILD_ROOT/%{_datadir}/sounds
make install
# move man from /usr to /usr/share
mv $RPM_BUILD_ROOT/%{_prefix}/man $RPM_BUILD_ROOT/%{_mandir}
install -m 644 yiff/yiffrc $RPM_BUILD_ROOT/%{_sysconfdir}

#%clean
#rm -rf $RPM_BUILD_ROOT

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS INSTALL INSTALL.manual LICENSE README
%config(noreplace) %{_sysconfdir}/*
%{_sbindir}/*
%{_bindir}/*
%{_mandir}/man3/*
%{_mandir}/man8/*
%{_datadir}/icons/*
%{_datadir}/sounds/*

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/lib*.so.*

%files -n %{libname}-devel
%defattr(-, root, root)
%{_includedir}/*
%_libdir/*.so


%changelog
* Thu Sep 06 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.12.4-4mdk
- rebuild

* Fri Jun 22 2001 Etienne Faure    <etienne@mandrakesoft.com> 2.12.4-3mdk
- rebuild for contribs

* Mon May 07 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 2.12.4-2mdk
- new source file, as the first one was corrupted

* Sat May 05 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 2.12.4-1mdk
- 2.12.4
- corrected requires tag
- corrected file list to make rpmlint happy

* Thu Feb 15 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 2.12.3-1mdk
- 2.12.3

* Tue Feb 06 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 2.12.2-2mdk
- added yiffconfig corrections
- added instruction to description

* Sat Feb 03 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 2.12.2-1mdk
- first Mandrake release
